source: pkg/vinnie/main/gnome-panel/trunk/debian/control.in @ 6721

Revision 6721, 4.6 KB checked in by alanbach-guest, 4 years ago (diff)
  • Updated control* files
Line 
1Source: gnome-panel
2Section: gnome
3Priority: optional
4Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
5Uploaders: @GNOME_TEAM@
6Standards-Version: 3.9.0
7Build-Depends: cdbs (>= 0.4.41),
8               debhelper (>= 5),
9               intltool (>= 0.40.0),
10               gnome-pkg-tools (>= 0.14),
11               dpkg-dev (>= 1.13.19),
12               gnome-doc-utils,
13               python,
14               libx11-dev,
15               libxau-dev,
16               libice-dev,
17               libsm-dev,
18               libgtk2.0-dev (>= 2.19.7),
19               libgnome-desktop-dev (>= 2.26),
20               libbonoboui2-dev (>= 2.1.1),
21               liborbit2-dev (>= 1:2.12.1),
22               libwnck-dev (>= 2.19.5),
23               libgconf2-dev (>= 2.6.1),
24               libecal1.2-dev (>= 1.6.0),
25               libedataserverui1.2-dev (>= 1.11.2),
26               libcairo2-dev (>= 1.0.0),
27               gtk-doc-tools (>= 1.0),
28               libgnome-menu-dev (>= 2.27.92),
29               libpango1.0-dev (>= 1.15.4),
30               libedataserver1.2-dev (>= 1.2.0),
31               libglib2.0-dev (>= 2.18.0),
32               evolution-data-server-dev,
33               libgweather-dev (>= 2.27.90),
34               librsvg2-dev,
35               libdbus-glib-1-dev (>= 0.71),
36               libdbus-1-dev (>= 1.1.2),
37               network-manager-dev (>= 0.6),
38               libnm-util-dev (>= 0.6),
39               libpolkit-gobject-1-dev (>= 0.91),
40               libxrandr-dev (>= 2:1.2.0),
41               libcanberra-gtk-dev
42
43Package: gnome-panel
44Architecture: any
45Depends: ${shlibs:Depends},
46         ${misc:Depends},
47         gnome-panel-data (>= ${gnome:Version}),
48         gnome-panel-data (<< ${gnome:NextVersion}),
49         gnome-desktop-data (>= 2.10.0-1),
50         gnome-control-center (>= 1:2.8.2-3),
51         gnome-menus (>= 2.16.1),
52         gnome-about (>= 2.10.0-1),
53         menu-xdg (>= 0.2),
54         python,
55         python-gnome2,
56         python-gconf,
57         policykit-1-gnome
58Recommends: gnome-applets (>= 2.12.1-1),
59            gnome-session (>= 2.26),
60            evolution-data-server,
61            gnome-icon-theme (>= 2.24),
62            alacarte,
63            gvfs
64Suggests: yelp,
65          gnome2-user-guide,
66          gnome-terminal | x-terminal-emulator,
67          nautilus,
68          evolution,
69          epiphany-browser
70Breaks: gnome-session (<< 2.26),
71        gnome-power-manager (<< 2.26),
72        gnome-control-center (<< 2.26)
73Description: launcher and docking facility for GNOME
74 The GNOME Panel is an essential part of the GNOME Desktop, providing
75 toolbar-like “panels” which can be attached to the sides of your desktop.
76 They are used to launch applications and embed a number of other
77 functions, such as quick launch icons, the clock, the notification area,
78 volume controls and the battery charge indicator, and utilities ranging
79 from weather forecast to system monitoring.
80
81Package: libpanel-applet2-0
82Section: libs
83Architecture: any
84Depends: ${misc:Depends},
85         ${shlibs:Depends}
86Description: library for GNOME Panel applets
87 This library is used by GNOME Panel applets.
88
89Package: gnome-panel-dbg
90Section: debug
91Priority: extra
92Architecture: any
93Depends: ${misc:Depends},
94         gnome-panel (= ${binary:Version}),
95         libpanel-applet2-0 (= ${binary:Version})
96Description: GNOME Panel and library for panel applets - debugging symbols
97 This package contains debugging symbols for gnome-panel and the
98 libpanel-applet library. It is provided to help debugging problem in
99 the panel itself or in the library. The debugging symbols are installed
100 in /usr/lib/debug and will automatically be used by gdb.
101
102Package: libpanel-applet2-dev
103Section: libdevel
104Architecture: any
105Depends: ${misc:Depends},
106         libpanel-applet2-0 (= ${binary:Version}),
107         libgconf2-dev (>= 2.6.1),
108         libgtk2.0-dev (>= 2.19.7),
109         libbonoboui2-dev (>= 2.1.1)
110Description: library for GNOME Panel applets - development files
111 This package provides the include files and static library for the GNOME
112 Panel applet library functions.
113
114Package: libpanel-applet2-doc
115Section: doc
116Architecture: all
117Depends: ${misc:Depends}
118Suggests: doc-base
119Description: library for GNOME Panel applets - documentation files
120 This package provides the documentation files for the GNOME Panel applet
121 library functions.
122
123Package: gnome-panel-data
124Section: gnome
125Architecture: all
126Depends: ${misc:Depends},
127         gconf2 (>= 2.14.0-2)
128Recommends: gnome-panel
129Description: common files for the GNOME Panel
130 This package includes some files that are needed by the GNOME Panel
131 (Pixmaps, .desktop files and internationalization files).
Note: See TracBrowser for help on using the repository browser.